Bug 1775323 - OLM takes about 5 minutes to detect internal CatalogSource changes
Summary: OLM takes about 5 minutes to detect internal CatalogSource changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.3.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.3.0
Assignee: Vu Dinh
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1779313
Blocks: 1749031
TreeView+ depends on / blocked
 
Reported: 2019-11-21 18:09 UTC by Nick Hale
Modified: 2020-01-23 11:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1749031
Environment:
Last Closed: 2020-01-23 11:13:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1166 'None' 'closed' '[release-4.3] Bug 1775323: Enable multiple namespaces sync if catsrc is updated in global ns' 2019-12-08 18:20:23 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:14:04 UTC

Comment 2 Bruno Andrade 2019-12-05 19:22:18 UTC
It took approximately 10 seconds to update the catalog and also update the operator with the newer version available version. Marking as VERIFIED.

Cluster version: 4.3.0-0.nightly-2019-12-05-073829
OLM version: 0.13.0
git commit: 7dfd4517e5368fa19c48dab9b9e126798f3c3f40

Steps used to verify:

date
Thu Dec  5 19:06:47 UTC 2019
oc apply -f https://raw.githubusercontent.com/bandrade/v3-testfiles/v4.1/olm/configmap/configmap_etcdv4.yaml -n openshift-marketplace


date 
Thu Dec  5 19:06:58 UTC 2019

oc get csv -n test-operators
NAME                  DISPLAY   VERSION   REPLACES              PHASE
etcdoperator.v0.9.2   etcd      0.9.2                           Replacing
etcdoperator.v0.9.4   etcd      0.9.4     etcdoperator.v0.9.2   Installing

Comment 4 errata-xmlrpc 2020-01-23 11:13:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.